using System;
using NinjaTrader.Cbi;

internal sealed class Delegate155 : MulticastDelegate
{
	public extern ErrorCode Invoke(object object_0);

	public static ErrorCode smethod_0(object object_0, Delegate155 delegate155_1)
	{
		return delegate155_1(object_0);
	}

	public extern Delegate155(object object_0, IntPtr intptr_0);

	static Delegate155()
	{
		Class10.smethod_13(typeof(Delegate155).TypeHandle);
	}

	internal static Delegate155 delegate155_0;
}
